namespace Tiger.Communication.Messages.Incoming;

public enum IncomingHeaders : short
{
    AchievementList = 219,
    Authentication = -1,
    BotConfiguration = 1986,
    BotPickup = 3323,
    BotPlace = 1592,
    BotSkillSave = 2624,
    GetClubOffers = 3285,
    GetClubGiftInfo = 487,
    GetCatalogIndex = 1195,
    GetCatalogPage = 412,
    CatalogPurchase = 3492,
    CatalogPurchaseGift = 1411,
    GetProductOffer = 2594,
    ClientLatency = 295,
    ClientLatencyMeasure = 96,
    ClientPolicy = 26979,
    ClientPong = 2596,
    ClientToolbarToggle = 2313,
    ClientVariables = 1053,
    GetCurrentTimingCode = 2912,
    DesktopView = 105,
    GetBundleDiscountRuleset = 223,
    EventTracker = 3457,
    FindNewFriends = 516,
    FurnitureAliases = 3898,
    FurnitureFloorUpdate = 248,
    FurnitureMultistate = 99,
    FurniturePickup = 3456,
    FurniturePlace = 1258,
    FurniturePostitPlace = 2248,
    FurniturePostitSaveStickyPole = 3283,
    FurnitureRandomstate = 3617,
    FurnitureWallMultistate = 210,
    FurnitureWallUpdate = 168,
    GamesInit = 2914,
    GamesList = 741,
    Acceptgameinvite = 3802,
    Gameunloadedmessage = 3207,
    Getgameachievementsmessage = 2399,
    Getgamestatusmessage = 3171,
    Getusergameachievementsmessage = 389,
    Joinqueuemessage = 1458,
    Leavequeuemessage = 2384,
    Resetresolutionachievementmessage = 3144,
    Getweeklygamerewardwinners = 1054,
    Game2Getaccountgamestatusmessage = 11,
    Game2Checkgamedirectorystatusmessage = 3259,
    Game2Exitgamemessage = 1445,
    Game2Gamechatmessage = 2502,
    Game2Loadstagereadymessage = 2415,
    Game2Playagainmessage = 3196,
    Game2Requestfullstatusupdatemessage = 1598,
    Game2Getweeklyfriendsleaderboard = 1232,
    Game2Getweeklyleaderboard = 2565,
    GetGiftWrappingConfig = 418,
    GroupAdminAdd = 2894,
    GroupAdminRemove = 722,
    GroupCreateOptions = 798,
    GroupFavorite = 3549,
    GetForumStats = 3149,
    GetForumThreads = 873,
    GetForumsList = 436,
    GetForumMessages = 232,
    GetForumThread = 3900,
    GetUnreadForumsCount = 2908,
    ForumModerateMessage = 286,
    ForumModerateThread = 1397,
    ForumPostMessage = 3529,
    UpdateForumReadMarker = 1855,
    UpdateForumSettings = 2214,
    ForumUpdateThread = 3045,
    GroupInfo = 2991,
    GroupDelete = 1134,
    GroupMemberRemoveConfirm = 3593,
    GroupMemberRemove = 593,
    GroupMembers = 312,
    GroupMemberships = 367,
    GroupRequest = 998,
    GroupRequestAccept = 3386,
    GroupRequestDecline = 1894,
    GroupSettings = 1004,
    GroupParts = 813,
    GroupBuy = 230,
    GroupSaveInformation = 3137,
    GroupSaveBadge = 1991,
    GroupSaveColors = 1764,
    GroupSavePreferences = 3435,
    GroupBadges = 21,
    GroupUnblockMember = 2864,
    GetBadgePointsLimits = 1371,
    Requestabadge = 3077,
    Getisbadgerequestfulfilled = 1364,
    ItemClothingRedeem = 3374,
    ItemColorWheelClick = 2144,
    ItemDiceClick = 1990,
    ItemDiceClose = 1533,
    ItemDimmerSave = 1648,
    ItemDimmerSettings = 2813,
    ItemDimmerToggle = 2296,
    ItemExchangeRedeem = 3115,
    ItemPaint = 711,
    SetObjectData = 3608,
    ItemStackHelper = 3839,
    MarketplaceConfig = 2597,
    AcceptFriend = 137,
    MessengerChat = 3567,
    DeclineFriend = 2890,
    FollowFriend = 3997,
    MessengerFriends = 1523,
    MessengerInit = 2781,
    MessengerRelationships = 2138,
    SetRelationshipStatus = 3768,
    RemoveFriend = 1689,
    RequestFriend = 3157,
    GetFriendRequests = 2448,
    SendRoomInvite = 1276,
    HabboSearch = 1210,
    FriendListUpdate = 1419,
    ModToolUserInfo = 3295,
    GetUserFlatCats = 3027,
    NavigatorInit = 2110,
    NavigatorSearch = 249,
    NavigatorSearchClose = 1834,
    NavigatorSearchOpen = 637,
    NavigatorSearchSave = 2226,
    GetUserEventCats = 1782,
    NavigatorSettingsSave = 3159,
    NavigatorCategoryListMode = 1202,
    NavigatorDeleteSavedSearch = 1954,
    PetInfo = 2934,
    PetPickup = 1581,
    PetPlace = 2647,
    PetRespect = 3202,
    PetRide = 1036,
    PetMove = 3449,
    PetOpenPackage = 3698,
    PetSelected = 549,
    PetsBreed = 1638,
    PetCancelBreeding = 2713,
    PetConfirmBreeding = 3382,
    GetPetTrainingPanel = 2161,
    RecyclerPrizes = 398,
    RecyclerStatus = 1342,
    RecyclerItems = 2771,
    ReleaseVersion = 4000,
    CallForHelp = 1691,
    RoomAmbassadorAlert = 2996,
    RoomBanGive = 1477,
    RoomBanList = 2267,
    RoomBanRemove = 992,
    RoomCreate = 2752,
    RoomDelete = 532,
    RoomDoorbell = 1644,
    RoomEnter = 2312,
    RoomFavorite = 3817,
    RoomFavoriteRemove = 309,
    CanCreateRoom = 2128,
    CancelRoomEvent = 2725,
    EditRoomEvent = 3991,
    CompetitionRoomSearch = 433,
    ForwardToRandomPromotedRoom = 10,
    ForwardToSomeRoom = 1703,
    GetCategoriesWithUserCount = 3782,
    GetGuestRoom = 2230,
    GetOfficialRooms = 1229,
    GetPopularRoomTags = 826,
    GuildBaseSearch = 2930,
    MyFavouriteRoomsSearch = 2578,
    MyFrequentRoomHistorySearch = 1002,
    MyFriendsRoomSearch = 2266,
    MyGuildBasesSearch = 39,
    MyRecommendedRooms = 2537,
    MyRoomHistorySearch = 2264,
    MyRoomRightsSearch = 272,
    MyRoomsSearch = 2277,
    PopularRoomsSearch = 2758,
    RoomAdEventTabClicked = 2412,
    RoomAdEventTabViewed = 2668,
    RoomAdSearch = 2809,
    RoomTextSearch = 3943,
    RoomsWhereMyFriendsAre = 1786,
    RoomsWithHighestScoreSearch = 2939,
    SetRoomSessionTags = 3305,
    UpdateRoomThumbnail = 2468,
    RoomKick = 1320,
    RoomLike = 3582,
    RoomModel = 2300,
    GetOccupiedTiles = 1687,
    GetRoomEntryTile = 3559,
    RoomModelSave = 875,
    RoomMute = 3637,
    RoomMuteUser = 3485,
    RoomRightsGive = 808,
    RoomRightsList = 3385,
    RoomRightsRemove = 2064,
    RoomRightsRemoveAll = 2683,
    RoomRightsRemoveOwn = 3182,
    RoomSettings = 3129,
    RoomSettingsSave = 1969,
    RoomSettingsUpdateRoomCategoryAndTrade = 1265,
    RoomStaffPick = 1918,
    RoomFilterWords = 1911,
    RoomFilterWordsModify = 3001,
    Mysteryboxwaitingcanceledmessage = 2012,
    MysteryboxOpenTrophy = 3074,
    SecurityMachine = 2490,
    SecurityTicket = 2419,
    Trade = 1481,
    TradeAccept = 3863,
    TradeCancel = 2341,
    TradeClose = 2551,
    TradeConfirm = 2760,
    TradeItem = 3107,
    TradeItemRemove = 3845,
    TradeItems = 1263,
    TradeUnaccept = 1444,
    UnitAction = 2456,
    UnitChat = 1314,
    UnitChatShout = 2085,
    UnitChatWhisper = 1543,
    UnitDance = 2080,
    UnitDropHandItem = 2814,
    UnitGiveHanditem = 2941,
    UnitLook = 3301,
    UnitPosture = 2235,
    UnitSign = 1975,
    UnitTyping = 1597,
    UnitTypingStop = 1474,
    UnitWalk = 3320,
    UserBadges = 2769,
    UserBadgesCurrent = 2091,
    UserBadgesCurrentUpdate = 644,
    UserBots = 3848,
    UserCurrency = 273,
    UserEffectActivate = 2959,
    UserEffectEnable = 1752,
    UserFigure = 2730,
    UserFurniture = 3150, // sent when in room
    Requestfurniinventorywhennotinroom = 3500, // sent when not in room
    UserHomeRoom = 1740,
    UserInfo = 357,
    UserMotto = 2228,
    UserIgnored = 3878,
    UserPets = 3095,
    UserProfile = 3265,
    UserProfileByName = 2249,
    UserRespect = 2694,
    GetSoundSettings = 2388,
    UserSettingsCamera = 1461,
    UserSettingsChatStyle = 1030,
    UserSettingsInvites = 1086,
    UserSettingsOldChat = 1262,
    UserSettingsVolume = 1367,
    UserSubscription = 3166,
    GetWardrobe = 2742,
    SaveWardrobeOutfit = 800,
    UserTags = 17,
    PeerUsersClassification = 1160,
    UserClassification = 2285,
    VisitUser = 2970,
    WiredActionSave = 2281,
    WiredApplySnapshot = 3373,
    WiredConditionSave = 3203,
    WiredOpen = 768,
    WiredTriggerSave = 1520,
    GetItemData = 3964,
    OneWayDoorClick = 2765,
    RemoveWallItem = 3336,
    SetItemData = 3666,
    CatalogRedeemVoucher = 339,
    RoomTonerApply = 2880,
    FriendFurniConfirmLock = 3775,
    MannequinSaveName = 2850,
    MannequinSaveLook = 2209,
    PresentOpenPresent = 3558,
    CatalogSelectVipGift = 2276,
    UserIgnoreId = 3314,
    UserIgnore = 1117,
    UserUnignore = 2061,
    ModtoolRequestRoomInfo = 707,
    ModtoolChangeRoomSettings = 3260,
    ModtoolRequestUserChatlog = 1391,
    ModtoolRequestRoomChatlog = 2587,
    ModtoolSanctionAlert = 229,
    ModtoolSanctionBan = 2766,
    ModtoolSanctionKick = 2582,
    ModtoolSanctionTradelock = 3742,
    ModtoolAlertevent = 1840,
    ModtoolSanctionMute = 1945,
    ModtoolRequestUserRooms = 3526,
    ModtoolRoomAlert = 3842,
    ModtoolPreferences = 31,
    CloseIssueDefaultAction = 2717,
    CloseIssues = 2067,
    DefaultSanction = 1681,
    GetCfhChatlog = 211,
    ModtoolSanction = 1392,
    PickIssues = 15,
    ReleaseIssues = 1572,
    ConvertGlobalRoomId = 314,
    RequestSellItem = 848,
    RequestMarketplaceItemStats = 3288,
    MarketplaceSellItem = 3447,
    MarketplaceRequestOwnItems = 2105,
    MarketplaceTakeBackItem = 434,
    MarketplaceRedeemCredits = 2650,
    MarketplaceRequestOffers = 2407,
    MarketplaceBuyOffer = 1603,
    MarketplaceBuyTokens = 1866,
    CatalogRequesetPetBreeds = 1756,
    ApproveName = 2109,
    UnitGiveHanditemPet = 2768,
    PetSupplement = 749,
    FurnitureGroupInfo = 2651,
    AchievementResolutionOpen = 359,
    UsePetProduct = 1328,
    RemovePetSaddle = 186,
    TogglePetRiding = 1472,
    TogglePetBreeding = 3379,
    UnseenResetCategory = 3493,
    UnseenResetItems = 2343,
    CommunityGoalVoteComposer = 3536,
    GetPromoArticles = 1827,
    AcceptQuest = 3604,
    ActivateQuest = 793,
    CancelQuest = 3133,
    FriendRequestQuestComplete = 1148,
    GetCommunityGoalEarnedPrizes = 2688,
    GetCommunityGoalHallOfFame = 2167,
    GetCommunityGoalProgress = 1145,
    GetConcurrentUsersGoalProgress = 1343,
    GetConcurrentUsersReward = 3872,
    GetDailyQuest = 2486,
    GetQuests = 3333,
    GetSeasonalQuestsOnly = 1190,
    OpenQuestTracker = 2750,
    RedeemCommunityGoalPrize = 90,
    RejectQuest = 2397,
    StartCampaign = 1697,
    GetBonusRareInfo = 957,
    Craft = 3591,
    CraftSecret = 1251,
    GetCraftableProducts = 633,
    GetCraftingRecipe = 1173,
    GetCraftingRecipesAvailable = 3086,
    PhotoCompetition = 3959,
    PublishPhoto = 2068,
    PurchasePhoto = 2408,
    RenderRoom = 3226,
    RenderRoomThumbnail = 1982,
    RequestCameraConfiguration = 796,
    AddJukeboxDisk = 753,
    GetJukeboxPlaylist = 1435,
    GetNowPlaying = 1325,
    GetOfficialSongId = 3189,
    GetSongInfo = 3082,
    GetSoundMachinePlaylist = 3498,
    GetUserSongDisks = 2304,
    RemoveJukeboxDisk = 3050,
    InterstitialShown = 1109,
    GetInterstitial = 2519,
    ChangeUsername = 2977,
    CheckUsername = 3950,
    OpenCampaignCalendarDoorStaff= 3889,
    OpenCampaignCalendarDoor = 2257,
    BuildersClubPlaceRoomItem = 1051,
    BuildersClubPlaceWallItem = 462,
    BuildersClubQueryFurniCount = 2529,
    GetCatalogPageExpiration = 742,
    GetCatalogPageWithEarliestExp = 3135,
    GetDirectClubBuyAvailable = 801,
    GetHabboBasicMembershipExtendOffer = 603,
    GetHabboClubExtendOffer = 2462,
    GetIsOfferGiftable = 1347,
    GetLimitedOfferAppearingNext = 410,
    GetNextTargetedOffer = 596,
    GetRoomAdPurchaseInfo = 1075,
    GetSeasonalCalendarDailyOffer = 3257,
    GetTargetedOffer = 2487,
    MarkCatalogNewAdditionsPageOpened = 2150,
    PurchaseBasicMembershipExtension = 2735,
    PurchaseRoomAd = 777,
    PurchaseTargetedOffer = 1826,
    PurchaseVipMembershipExtension = 3407,
    RoomAdPurchaseInitiated = 2283,
    SetTargettedOfferState = 2041,
    ShopTargetedOfferViewed = 3483,
    HelperTalentTrack = 196,
    TalentTrackGetLevel = 2127,
    ForwardToACompetitionRoom = 172,
    ForwardToASubmittableRoom = 1450,
    ForwardToRandomCompetitionRoom = 865,
    GetIsUserPartOfCompetition = 2077,
    GetSecondsUntil = 271,
    RoomCompetitionInit = 1334,
    SubmitRoomToCompetition = 2595,
    VoteForRoom = 143,
    GetGift = 2436,
    ResetPhoneNumberState = 2741,
    SetPhoneNumberVerificationStatus = 1379,
    TryPhoneNumber = 790,
    VerifyCode = 2721,
    ControlYoutubeDisplayPlayback = 3005,
    GetYoutubeDisplayStatus = 336,
    SetYoutubeDisplayPlaylist = 2069,
    GoToFlat = 685,
    ChangeQueue = 3093,
    CallForHelpFromForumMessage = 1412,
    CallForHelpFromForumThread = 534,
    CallForHelpFromIm = 2950,
    CallForHelpFromPhoto = 2492,
    CallForHelpFromSelfie = 2755,
    ChatReviewGuideDecides = 3365,
    ChatReviewGuideDetached = 2501,
    ChatReviewGuideVote = 3961,
    ChatReviewSessionCreate = 3060,
    DeletePendingCallsForHelp = 3605,
    GetCfhStatus = 2746,
    GetFaqCategory = 3445,
    GetFaqText = 1849,
    GetGuideReportingStatus = 3786,
    GetPendingCallsForHelp = 3267,
    GetQuizQuestions = 1296,
    GuideSessionCreate = 3338,
    GuideSessionFeedback = 477,
    GuideSessionGetRequesterRoom = 1052,
    GuideSessionGuideDecides = 1424,
    GuideSessionInviteRequester = 234,
    GuideSessionIsTyping = 519,
    GuideSessionMessage = 3899,
    GuideSessionOnDutyUpdate = 1922,
    GuideSessionReport = 3969,
    GuideSessionRequesterCancels = 291,
    GuideSessionResolved = 887,
    PostQuizAnswers = 3720,
    SearchFaqs = 2031,
    PollAnswer = 3505,
    PollReject = 1773,
    PollStart = 109,
    PollVoteCounter = 6200,
    Disconnect = 2445,
    ScrGetKickbackInfo = 869,
    CompostPlant = 3835,
    HarvestPet = 1521,
    SetClothingChangeData = 924,
    GroupUnfavorite = 1820,
    NewUserExperienceGetGifts = 1822,
    NewUserExperienceScriptProceed = 1299,
    HandshakeInitDiffie = 3110,
    HandshakeCompleteDiffie = 773,
    WelcomeOpenGift = 2638,
    WelcomeGiftChangeEmail = 66,
    EmailGetStatus = 2557,
    EmailChange = 3965,
    ApproveAllMembershipRequests = 882,
    RentableSpaceCancelRent = 1667,
    RentableSpaceRent = 2946,
    RentableSpaceStatus = 872,
    TrackingPerformanceLog = 3230,
    TrackingLagWarningReport = 3847,
    RoomDirectoryRoomNetworkOpenConnection = 3736,
    RentableExtendRentOrBuyoutStripItem = 2115,
    RentableExtendRentOrBuyoutFurni = 1071,
    RentableGetRentOrBuyoutOffer = 2518,
}