using Tiger.Communication.Messages.Interfaces;
using Tiger.Communication.Messages.Types;

namespace Tiger.Communication.Messages.Outgoing.Inventory.Currency;

public class UserCreditsComposer : IMessageComposer
{
    private readonly int _credits;

    public UserCreditsComposer(int credits)
    {
        _credits = credits;
    }

    public OutgoingHeaders Header => OutgoingHeaders.UserCredits;
    public void Compose(ServerMessage message)
    {
        message.AppendString($"{_credits}.0");
    }
}