using FluentNHibernate.Mapping;

namespace Tiger.Game.Achievements;

public class AchievementLevelMap : ClassMap<AchievementLevel>
{
    public AchievementLevelMap()
    {
        Table("achievement_levels");
        LazyLoad();
        CompositeId()
            .KeyProperty(al => al.Level, "level")
            .KeyReference(al => al.Achievement, "achievement_id");
        Map(al => al.RewardAmount).Column("reward_amount").Not.Nullable();
        Map(al => al.RewardType).Column("reward_type").Not.Nullable();
        Map(al => al.ProgressNeeded).Column("progress_needed").Not.Nullable();
        Map(al => al.Points).Column("points").Not.Nullable();
    }
}